import {ModuleWithProviders, NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {ViewLoadingComponent} from './loading.component';
import { ViewLoadingDirective } from './loading.directive';

@NgModule({
  imports: [
    CommonModule
  ],
  declarations: [
    ViewLoadingComponent,
    ViewLoadingDirective
  ],
  exports: [
    ViewLoadingComponent,
    ViewLoadingDirective
  ],
  entryComponents: [
    ViewLoadingComponent
  ]
})
export class ViewLoadingModule {
  static forRoot(): ModuleWithProviders<any> {
    return {
      ngModule: ViewLoadingModule
    };
  }
}
