import {ModuleWithProviders, NgModule} from '@angular/core';
import {ViewPipeModule} from './pipe/pipe.module';
import {ViewLoadingModule} from './component/loading/loading.module';


@NgModule({
  imports: [
    ViewPipeModule,
    ViewLoadingModule.forRoot()
  ],
  exports: [
    ViewPipeModule,
    ViewLoadingModule
  ],
  declarations: []
})
export class NgViewModule {
  static forRoot(): ModuleWithProviders<any> {
    return {
      ngModule: NgViewModule
    };
  }
}
